"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UniqueIdentifier = (function () {
    function UniqueIdentifier() {
    }
    UniqueIdentifier.prototype.getUUID = function () {
        var appName = NSBundle.mainBundle.infoDictionary.objectForKey(kCFBundleNameKey);
        var strApplicationUUID = SAMKeychain.passwordForServiceAccount(appName, "incoding");
        if (!strApplicationUUID) {
            strApplicationUUID = UIDevice.currentDevice.identifierForVendor.UUIDString;
            SAMKeychain.setPasswordForServiceAccount(strApplicationUUID, appName, "incoding");
        }
        return strApplicationUUID;
    };
    return UniqueIdentifier;
}());
exports.UniqueIdentifier = UniqueIdentifier;
//# sourceMappingURL=unique-identifier.ios.js.map